cURL
curl --request GET \ --url https://api.example.com/api/military/v1/get-aircraft-details
{ "details": { "icao24": "<string>", "registration": "<string>", "manufacturerIcao": "<string>", "manufacturerName": "<string>", "model": "<string>", "typecode": "<string>", "serialNumber": "<string>", "icaoAircraftType": "<string>", "operator": "<string>", "operatorCallsign": "<string>", "operatorIcao": "<string>", "owner": "<string>", "built": "<string>", "engines": "<string>", "categoryDescription": "<string>" }, "configured": true }
GetAircraftDetails retrieves Wingbits aircraft enrichment data for a single ICAO24 hex.
ICAO 24-bit hex address (lowercase).
Successful response
GetAircraftDetailsResponse contains the aircraft enrichment data.
AircraftDetails contains Wingbits aircraft enrichment data.
Show child attributes
Whether the Wingbits API is configured.
Was this page helpful?